
/*
Example source for reproducing a Doxygen bug.

In the generated Doxygen doc, the inherited documentation for DerivedClass::theFunction(int param, CallbackB cb)
will be the same as for theFunction (int param, CallbackA cb) - this is incorrect.
This error does only appear in the derived class; in the BaseClass documentation,
both functions have correct doc.

This happens on Doxygen 1.4.7 and 1.5.5 , but not on Doxygen 1.3.9.1 (RHEL4 package).
*/


/// @brief Simple callback
typedef void (*CallbackA)(void *userData);

/// @brief Extended callback
typedef void (*CallbackB)(void *userData, void *eventData);



class BaseClass
{
public:
    /// @brief Function that takes a simple callback
    ///
    /// This function requires a "simple" callback function as parameter.
    int theFunction (int param, CallbackA cb);

    /// @brief Function that takes an extended callback
    ///
    /// This function requires an "extended" callback function as parameter.
    int theFunction (int param, CallbackB cb);
};


class DerivedClass : public BaseClass
{
public:
    int theFunction (int param, CallbackA cb);

    int theFunction (int param, CallbackB cb);
};



int main (int argc, char* argv[])
{
}
